unit UnitDemo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus,
  UsbPhysic, Buttons; //  Add UsbPhysic Interface Unit

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button1: TButton;
    Label10: TLabel;
    Label8: TLabel;
    ComboBoxDrives: TComboBox;
    Label6: TLabel;
    BitBtn1: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
    procedure ClearEdit;
  public
    { Public declarations }

  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
begin
    BitBtn1Click(Sender);
end;


procedure TForm1.BitBtn1Click(Sender: TObject);
var
 iWinDrive, iDrivesCount, i: Integer;
  cRegName,cRegCode: AnsiString;
begin
   i:=0;
   ComboBoxDrives.Clear();
   ClearEdit;
   //set registration info, unlock USBPhysic library
   cRegName := '<reg name here>';
   cRegCode := '<reg code here>';
   //init Usb devices
   iDrivesCount:=Init(PAnsiChar(cRegName) ,PAnsiChar(cRegCode)); //add your registration data to unlock it

  if iDrivesCount>0 then
   begin
      //add drives indexes to combo
     Repeat
        ComboBoxDrives.Items.Add(IntToStr(i));
        Inc(i);
     Until i = iDrivesCount ;

      ComboBoxDrives.ItemIndex := 0 ; //select first drive index
   end;

end;


procedure TForm1.Button1Click(Sender: TObject);
var
  iDiskNo,iReturn: Integer;
  cInfo: AnsiString;
begin
  SetLength( cInfo, 1024 ); //allocate some space in the buffer
  ClearEdit;
  
  iDiskNo:=ComboBoxDrives.ItemIndex; //get selected drive index
  
  iReturn    := GetUSBPhysicInfo(iDiskNo, 0,PAnsiChar(cInfo)); //0 = serial number
  Edit1.Text := cInfo;                 

  iReturn    := GetUSBPhysicInfo(iDiskNo, 1, PAnsiChar(cInfo));    //1 = usb product name
  Edit2.Text := cInfo;
    
  iReturn    := GetUSBPhysicInfo(iDiskNo, 2, PAnsiChar(cInfo));    //2 = usb manufacturer
  Edit3.Text := cInfo;

  iReturn    := GetUSBPhysicInfo(iDiskNo, 3, PAnsiChar(cInfo));    //3 = usb drive letter mapped on windows
  Edit4.Text := cInfo;
        


end;



procedure TForm1.ClearEdit;
//Clear edit box
begin
  Edit1.Text    := '';
  Edit2.Text    := '';
  Edit3.Text    := '';
  Edit4.Text    := '';
end;

end.
